# Visualization
TKService
TColQuantity

# TColQuantity_Array2OfLength Class Reference

`#include <TColQuantity_Array2OfLength.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TColQuantity_Array2OfLength (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT | TColQuantity_Array2OfLength (const Quantity_Length &Item, const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT void | Init (const Quantity_Length &V)
Standard_EXPORT void | Destroy ()
| ~TColQuantity_Array2OfLength ()
Standard_EXPORT const TColQuantity_Array2OfLength & | Assign (const TColQuantity_Array2OfLength &Other)
const TColQuantity_Array2OfLength & | operator= (const TColQuantity_Array2OfLength &Other)
Standard_Integer | ColLength () const
Standard_Integer | RowLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const Quantity_Length &Value)
const Quantity_Length & | Value (const Standard_Integer Row, const Standard_Integer Col) const
const Quantity_Length & | operator() (const Standard_Integer Row, const Standard_Integer Col) const
Quantity_Length & | ChangeValue (const Standard_Integer Row, const Standard_Integer Col)
Quantity_Length & | operator() (const Standard_Integer Row, const Standard_Integer Col)

## Private Member Functions

Standard_EXPORT | TColQuantity_Array2OfLength (const TColQuantity_Array2OfLength &AnArray)
Standard_EXPORT void | Allocate ()

## Private Attributes

Standard_Integer | myLowerRow
Standard_Integer | myLowerColumn
Standard_Integer | myUpperRow
Standard_Integer | myUpperColumn
Standard_Boolean | myDeletable
Standard_Address | myData

## Constructor & Destructor Documentation

Standard_EXPORT TColQuantity_Array2OfLength::TColQuantity_Array2OfLength | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

Standard_EXPORT TColQuantity_Array2OfLength::TColQuantity_Array2OfLength | ( | const Quantity_Length & | Item,
|  | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

TColQuantity_Array2OfLength::~TColQuantity_Array2OfLength | ( |  | ) | `[inline]`

Standard_EXPORT TColQuantity_Array2OfLength::TColQuantity_Array2OfLength | ( | const TColQuantity_Array2OfLength & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void TColQuantity_Array2OfLength::Allocate | ( |  | ) | `[private]`

Standard_EXPORT const TColQuantity_Array2OfLength& TColQuantity_Array2OfLength::Assign | ( | const TColQuantity_Array2OfLength & | Other | ) |

Quantity_Length& TColQuantity_Array2OfLength::ChangeValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |

Standard_Integer TColQuantity_Array2OfLength::ColLength | ( |  | ) | const

Standard_EXPORT void TColQuantity_Array2OfLength::Destroy | ( |  | ) |

Standard_EXPORT void TColQuantity_Array2OfLength::Init | ( | const Quantity_Length & | V | ) |

Standard_Integer TColQuantity_Array2OfLength::LowerCol | ( |  | ) | const

Standard_Integer TColQuantity_Array2OfLength::LowerRow | ( |  | ) | const

void TColQuantity_Array2OfLength::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TColQuantity_Array2OfLength::operator new | ( | size_t | size | ) | `[inline]`

void* TColQuantity_Array2OfLength::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Quantity_Length& TColQuantity_Array2OfLength::operator() | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | `[inline]`

const Quantity_Length& TColQuantity_Array2OfLength::operator() | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const`[inline]`

const TColQuantity_Array2OfLength& TColQuantity_Array2OfLength::operator= | ( | const TColQuantity_Array2OfLength & | Other | ) | `[inline]`

Standard_Integer TColQuantity_Array2OfLength::RowLength | ( |  | ) | const

void TColQuantity_Array2OfLength::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const Quantity_Length & | Value
| ) |

Standard_Integer TColQuantity_Array2OfLength::UpperCol | ( |  | ) | const

Standard_Integer TColQuantity_Array2OfLength::UpperRow | ( |  | ) | const

const Quantity_Length& TColQuantity_Array2OfLength::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const

## Field Documentation

Standard_Address TColQuantity_Array2OfLength::myData `[private]`

Standard_Boolean TColQuantity_Array2OfLength::myDeletable `[private]`

Standard_Integer TColQuantity_Array2OfLength::myLowerColumn `[private]`

Standard_Integer TColQuantity_Array2OfLength::myLowerRow `[private]`

Standard_Integer TColQuantity_Array2OfLength::myUpperColumn `[private]`

Standard_Integer TColQuantity_Array2OfLength::myUpperRow `[private]`

The documentation for this class was generated from the following file:

- TColQuantity_Array2OfLength.hxx